Subject: FVWM: FVWM2 on solaris 2.6

From: "Nikul Raval" <[email-masked]>
Date: Thu, 14 Mar 2002 16:10:29 -0500

I've a developer accessing a SPARC20 workstation running Solaris2.6 using exceed
(ver. 6.1).
User is logged on to the workstation running fvwm and then accesses workstation
using eXceed running in
single window mode.  He is running window manager now on PC and workstation.
He claims once in a while when he kills his eXceed session by clicking on "x"
causes his workstation window manager to die and
everything he types in his UNIX windows shows up on Console screen.   Once in a
long while it does this on UNIX workstation (Ultra1)
without eXceed also.
He can open new xterms from the toolbar on UNIX but can't type into any of the
windows.
This goes away when he logs out and logs back in.

Is this a bug?  How do I fix this so next time window manager doesn't die on
UNIX when he kills eXceed session on PC.
How does one restart xserver and get control of the windows without logging out?

--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Dan Espen <[email-masked]>
Date: Thu, 14 Mar 2002 16:40:44 -0500

"Nikul Raval" <[email-masked]> writes:

> I've a developer  accessing a SPARC20 workstation running Solaris2.6
> using  exceed  (ver.  6.1).  User  is logged  on  to the workstation
> running  fvwm and then accesses  workstation using eXceed running in
> single window mode.    He is running  window manager  now on PC  and
> workstation.   He claims once in  a  while when he  kills his eXceed
> session by clicking on "x" causes his  workstation window manager to
> die and everything he types in his UNIX windows  shows up on Console
> screen.

I'm not sure I understand everything.

The "x" you mention, must be the Windows Close button on the Exceed
window.

Whats  the Console screen?   Do  you mean the  background  of  the Sun
Workstation?

> Once  in a long  while  it does this   on UNIX workstation  (Ultra1)
> without eXceed also.  He can  open new  xterms  from the toolbar  on
> UNIX but can't type into any of the windows.

By Toolbar, you mean FvwmButtons or something else?

When he can't type into xterms is the window manager running,
Ie. are there frames around the windows?

With xterm, you can tell if the window gets focus because the
cursor changes from an empty box to a solid.  Are the xterm
windows getting focus?

> This goes away when he  logs out and logs back  in.  Is this a  bug?
> How do I fix  this so next time window  manager doesn't die on  UNIX
> when he kills  eXceed session on  PC.  How does  one restart xserver
> and get control of the windows without logging out?

What goes on on the PC should not affect the workstation,
assuming each is started independently.  Ie. using Xstart for
Exceed and running xinit from the console on the UNIX workstation.

-- 
Dan Espen                           E-mail: [email-masked]
444 Hoes Lane  Room RRC 1C-214      Phone: (732) 699-5570
Piscataway, NJ 08854
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].